// ============================================================================ //
// Lightflow Rendering Interface                                                //
// ============================================================================ //
// LfPinholeCameraDefs.h                                                        //
// ============================================================================ //
//                                                                              //
// The contents of this file are subject to the Lightflow Rendering Tools       //
// License (the License); you may not use this file except in compliance with   //
// the License. You may obtain a copy of the License by sending an email at     //
// jp@lightflowtech.com with subject LRT-LICENSE.                               //
//                                                                              //
// ============================================================================ //
// Copyright (c) 1995-2000 by Jacopo Pantaleoni. All rights reserved.           //
// ============================================================================ //

#ifndef _LfPinholeCameraDefs_H
#define _LfPinholeCameraDefs_H 1


#define LfVerticalFOV     0
#define LfHorizontalFOV   1


#define LfAANoneSamples1  2
#define LfAANoneSamples2  1
#define LfAANoneThreshold 3.0
#define LfAANoneJitter    0.0

#define LfAALowSamples1  2
#define LfAALowSamples2  3
#define LfAALowThreshold 0.12 / 1.73205
#define LfAALowJitter    0.3

#define LfAAMediumSamples1  2
#define LfAAMediumSamples2  4
#define LfAAMediumThreshold 0.12 / 1.73205
#define LfAAMediumJitter    0.5

#define LfAAHighSamples1  2
#define LfAAHighSamples2  5
#define LfAAHighThreshold 0.12 / 1.73205
#define LfAAHighJitter    0.5

#define LfAAFilmSamples1  3
#define LfAAFilmSamples2  3
#define LfAAFilmThreshold 0.12 / 1.73205
#define LfAAFilmJitter    0.5


#endif
